#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, x, i, maxx,  minn, p, q;
    cin >> n >> x;
    int a[n];
    for(i = 0; i < n; i++)
        cin >> a[i];

    sort(a, a+n);

    if(x < a[0])
        cout << a[n-1] + x*(-1);

    else if(x > a[n-1])
        cout << x - a[0];

    else if(x < a[n-1] && x > a[0]){
        p = a[0]*(-1) - x*(-1);
        q = x*(-1) -a[n-1]*(-1);
        if(p <= q)
            cout << p*2 + q;
        else if(q > p)
            cout << p + q*2;
    }


    return 0;
}